<div class="main-content" *ngIf="editForm;">
	<div class="mb-16">
		<h3>Редактирование новости</h3>
	</div>

	<div *ngIf="data?.deleted" class="news_edit-informer" [@animate]="{value:'*',params:{delay:'300ms',y:'-25px'}}">
		<h4 class="news_edit-informer_title-wrap">
			<mat-icon svgIcon="cancel" color="warn"></mat-icon>
			<span class="news_edit-informer_title">Новость удалена</span>
		</h4>
	</div>

	<div fxLayout="row" fxLayoutGap="16px" style="padding: 15px 0">
		<a mat-button color="primary"
			[routerLink]="['../../']">
			<span>К списку новостей</span>
		</a>
		<a mat-button color="accent"
			[routerLink]="['../']">
			<span>Просмотр новости</span>
		</a>

		<button mat-button color="warn" *ngIf="!data?.deleted"
			(click)="deleteNew(data?.id)">
			<span>Удалить новость</span>
		</button>

		<button mat-button style="color: #64c964" *ngIf="data?.deleted"
			(click)="recoveryNew(id)">Восстановить</button>
	</div>

	<section [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<mat-card class="art-card">
			<form [formGroup]="editForm">
				<mat-card-content>
					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Заголовок</mat-label>
							<input matInput formControlName="title" >
						</mat-form-field>
					</div>
					<div class="mb-10">
						<mat-checkbox formControlName="published">Опубликовать</mat-checkbox>
					</div>
					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
						<mat-form-field>
							<mat-label>Выберите дату</mat-label>
							<input matInput [matDatepicker]="publishDate"
								formControlName="date_news"
								required>
							<mat-datepicker-toggle matSuffix [for]="publishDate"></mat-datepicker-toggle>
							<mat-datepicker #publishDate></mat-datepicker>
						</mat-form-field>
					</div>

					<div [ngStyle]="{'margin-bottom': '35px'}">
						<quill-editor formControlName="content" [modules]="modules" placeholder="Введите текст..."
							[styles]="{height: '150px'}"></quill-editor>
					</div>
					<mat-list role="list" *ngFor="let file of data?.files; index as index">
						<mat-list-item role="listitem">{{file.title}}
							<button (click)="removeFile(file.id, index)"
								mat-icon-button
								color="primary"
								aria-label="Удаление файла">
								<mat-icon svgIcon="close" color="accent" title="Удаление файла"></mat-icon>
							</button>
						</mat-list-item>
					</mat-list>

					<div>
						<app-file-upload formControlName="file" class="m-20"></app-file-upload>
					</div>

					<div [ngStyle]="{'margin': '15px 0'}">
						<button mat-raised-button
							(click)="saveChanges()"
							color="accent"
							type="submit"
							[disabled]="!editForm.dirty || editForm.invalid">Сохранить изменения
						</button>
					</div>
				</mat-card-content>
			</form>
		</mat-card>
	</section>
</div>

<div *ngIf="isLoad">
	<app-loader></app-loader>
</div>


